// © 2025 Naked People Team. All Rights Reserved.

#pragma once

#include "CoreMinimal.h"
#include "PrivateBodyPartType.generated.h"

#define LOCTEXT_NAMESPACE "Missions.BodyType"
const FText BackBottom = LOCTEXT("BackBottom", "back bottom");
const FText FrontBottom = LOCTEXT("FrontBottom", "front bottom");
const FText FrontTop = LOCTEXT("FrontTop", "front top");
#undef LOCTEXT_NAMESPACE

UENUM(BlueprintType)
enum class EPrivateBodyPartType : uint8
{
	FrontBottom = 0,
	BackBottom = 1,
	FrontTop = 2
};

UCLASS()
class UPrivateBodyPartType : public UObject
{
	GENERATED_BODY()
	
public:
	static FText GetString(const EPrivateBodyPartType BodyType)
	{
		switch (BodyType)
		{
		case EPrivateBodyPartType::BackBottom:
			return BackBottom;
		case EPrivateBodyPartType::FrontBottom:
			return FrontBottom;
		case EPrivateBodyPartType::FrontTop:
			return FrontTop;
		default:
			return FText::GetEmpty();
		}
	}
};
